server:
  port: 8765
spring:
  application:
    name: keystone
  datasource:
    dynamic:
      primary: master #设置默认的数据源或者数据源组,默认值即为master
      strict: true #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
      datasource:
        master:  #增加默认数据源
          driverClassName: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://192.168.100.248:3306/key_stone?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=UTC
          username: root
          password: root
        zentao:
          driverClassName: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://192.168.100.247:3306/zentao?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=UTC&&zeroDateTimeBehavior=convertToNull
          username: root
          password: 123456

mybatis-plus:
#  configuration:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  type-enums-package: org.matrix.enums

baseJsPath: syntaxCheck.js

